import request from '@/utils/request'

// 查询品类信息列表
export function listCategory_info(query) {
  return request({
    url: '/product/category_info/list',
    method: 'get',
    params: query
  })
}

// 查询品类信息详细
export function getCategory_info(id) {
  return request({
    url: '/product/category_info/' + id,
    method: 'get'
  })
}

// 新增品类信息
export function addCategory_info(data) {
  return request({
    url: '/product/category_info',
    method: 'post',
    data: data
  })
}

// 修改品类信息
export function updateCategory_info(data) {
  return request({
    url: '/product/category_info',
    method: 'put',
    data: data
  })
}

// 删除品类信息
export function delCategory_info(id) {
  return request({
    url: '/product/category_info/' + id,
    method: 'delete'
  })
}
